## theoradec theoradec |

## Properties

gint | visualize-bit-usage | Read / Write
gint | visualize-macroblock-modes | Read / Write
gint | visualize-motion-vectors | Read / Write
gint | visualize-quantization-modes | Read / Write

## Types and Values

struct | GstTheoraDec

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstVideoDecoder
                        ╰── GstTheoraDec

## Description

This element decodes theora streams into raw video

Theora is a royalty-free

video codec maintained by the Xiph.org Foundation, based on the VP3 codec.

### Example pipeline

    1
    gst-launch-1.0 -v filesrc location=videotestsrc.ogg ! oggdemux ! theoradec ! videoconvert ! videoscale ! autovideosink

This example pipeline will decode an ogg stream and decodes the theora video in it. Refer to the theoraenc example to create the ogg file.

## Synopsis

### Element Information

plugin | theora
author | Benjamin Otte <otte@gnome.org>, Wim Taymans <wim@fluendo.com>
class | Codec/Decoder/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-theora

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ I420, Y42B, Y444 }, framerate=(fraction)[ 0/1, 2147483647/1 ], width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ]

## Functions

## Types and Values

### struct GstTheoraDec

    struct GstTheoraDec;

Opaque object data structure.

## Property Details

### The `“visualize-bit-usage”` property

      “visualize-bit-usage”      gint

Sets the bitstream breakdown visualization mode. Values influence the width of the bit usage bars to show.

Flags: Read / Write

Allowed values: [0,255]

Default value: 0

### The `“visualize-macroblock-modes”` property

      “visualize-macroblock-modes” gint

Show macroblock mode selection overlaid on image. Value gives a mask for macroblock (MB) modes to show.

Flags: Read / Write

Allowed values: [0,65535]

Default value: 0

### The `“visualize-motion-vectors”` property

      “visualize-motion-vectors” gint

Show motion vector selection overlaid on image. Value gives a mask for motion vector (MV) modes to show.

Flags: Read / Write

Allowed values: [0,65535]

Default value: 0

### The `“visualize-quantization-modes”` property

      “visualize-quantization-modes” gint

Show adaptive quantization mode selection overlaid on image. Value gives a mask for quantization (QI) modes to show.

Flags: Read / Write

Allowed values: [0,65535]

Default value: 0

## See Also

theoraenc, oggdemux